com.informix.json

## Class JSONSerializers

- java.lang.Object
- - com.informix.json.JSONSerializers

    public class JSONSerializers
    extends java.lang.Object

Defines static methods for getting `ObjectSerializer` instances that produce various flavors of JSON.

### Method Summary

All Methods Static Methods Concrete Methods
`static ObjectSerializer` `getInformix()`
`static ObjectSerializer` `getInformix(boolean minify)`
`static ObjectSerializer` `getLegacy()` Returns an `ObjectSerializer` that mostly conforms to the strict JSON format defined in
`static ObjectSerializer` `getLegacy(boolean minify)`
`static ObjectSerializer` `getStrict()` Returns an `ObjectSerializer` that conforms to the strict JSON format defined in
`static ObjectSerializer` `getStrict(boolean minify)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getLegacy

    public static ObjectSerializer getLegacy()

Returns an `ObjectSerializer` that mostly conforms to the strict JSON format defined in getStrict in preference to this method.

Returns:
  object serializer
See Also:
  `getStrict()`

#### getLegacy

    public static ObjectSerializer getLegacy(boolean minify)

#### getStrict

    public static ObjectSerializer getStrict()

Returns an `ObjectSerializer` that conforms to the strict JSON format defined in

Returns:
  object serializer

#### getStrict

    public static ObjectSerializer getStrict(boolean minify)

#### getInformix

    public static ObjectSerializer getInformix()

#### getInformix

    public static ObjectSerializer getInformix(boolean minify)